# flopc::DataRef Class Reference
[Internal (private) interface.]

Reference to a set of data. More...

`#include <MP_data.hpp>`

Inheritance diagram for flopc::DataRef:
[legend]
Collaboration diagram for flopc::DataRef:
[legend]

List of all members.

## Public Member Functions
| DataRef (MP_data *d, const MP_index_exp &i1, const MP_index_exp &i2, const MP_index_exp &i3, const MP_index_exp &i4, const MP_index_exp &i5, int s=0)
| ~DataRef ()
DataRef & | such_that (const MP_boolean &b)
double | evaluate () const
int | getStage () const
const DataRef & | operator= (const DataRef &r)
const DataRef & | operator= (const Constant &c)
void | evaluate_lhs (double v) const
void | operator() () const
## Private Attributes
MP_data * | D
MP_index_exp | I1
MP_index_exp | I2
MP_index_exp | I3
MP_index_exp | I4
MP_index_exp | I5
Constant | C
int | stochastic
MP_boolean | B

## Detailed Description

Reference to a set of data.

Note:
  FOR INTERNAL USE: This is not normally used directly by the calling code.

Definition at line 29 of file MP_data.hpp.

## Constructor & Destructor Documentation

flopc::DataRef::DataRef | ( | MP_data * | d,
|  | const MP_index_exp & | i1,
|  | const MP_index_exp & | i2,
|  | const MP_index_exp & | i3,
|  | const MP_index_exp & | i4,
|  | const MP_index_exp & | i5,
|  | int | s = `0` |
| ) |  |  | `[inline]`

Definition at line 31 of file MP_data.hpp.

flopc::DataRef::~DataRef | ( |  | ) | `[inline]`

Definition at line 40 of file MP_data.hpp.

## Member Function Documentation

DataRef& flopc::DataRef::such_that | ( | const MP_boolean & | b | ) |

double flopc::DataRef::evaluate | ( |  | ) | const`[virtual]`

Implements flopc::Constant_base.

int flopc::DataRef::getStage | ( |  | ) | const`[virtual]`

Reimplemented from flopc::Constant_base.

const DataRef& flopc::DataRef::operator= | ( | const DataRef & | r | ) |

Reimplemented from flopc::Functor.

const DataRef& flopc::DataRef::operator= | ( | const Constant & | c | ) |

void flopc::DataRef::evaluate_lhs | ( | double | v | ) | const

void flopc::DataRef::operator() | ( |  | ) | const`[virtual]`

Implements flopc::Functor.

## Member Data Documentation

MP_data* flopc::DataRef::D`[private]`

Definition at line 49 of file MP_data.hpp.

MP_index_exp flopc::DataRef::I1`[private]`

Definition at line 50 of file MP_data.hpp.

MP_index_exp flopc::DataRef::I2`[private]`

Definition at line 50 of file MP_data.hpp.

MP_index_exp flopc::DataRef::I3`[private]`

Definition at line 50 of file MP_data.hpp.

MP_index_exp flopc::DataRef::I4`[private]`

Definition at line 50 of file MP_data.hpp.

MP_index_exp flopc::DataRef::I5`[private]`

Definition at line 50 of file MP_data.hpp.

Constant flopc::DataRef::C`[private]`

Definition at line 51 of file MP_data.hpp.

int flopc::DataRef::stochastic`[private]`

Definition at line 52 of file MP_data.hpp.

MP_boolean flopc::DataRef::B`[private]`

Definition at line 53 of file MP_data.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_data.hpp